Subject: [bug report] locking/qrwlock, arm64: Move rwlock implementation over to qrwlocks causes CPU crashes/stalls when killing java processes

From: [email-masked] (Will Deacon)
Date: Thu, 26 Apr 2018 09:33:14 +0100

On Fri, Apr 13, 2018 at 08:32:24PM -0700, Tai Tri Nguyen wrote:
> I tried to remove wfe from cmpwait and still could reproduce the issue.

Hmm, then I'm afraid I'm not sure what else to suggest. You've obviously
got a lot of contention on the tasklist_lock on the exit path, but I can't
say why it's acting so slowly. If you get more information, please share
it!

Will